Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6931 - ispell-dicts and ispell-german rpms don't install all files
Summary: ispell-dicts and ispell-german rpms don't install all files
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ispell
Version: 6.1
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-11 17:07 UTC by Cord Kielhorn
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-15 20:07:18 UTC


Attachments (Terms of Use)

Description Cord Kielhorn 1999-11-11 17:07:22 UTC
The packages ispell-german-3.1.20-22.i386.rpm and
ispell-dicts-3.1.20-22.i386.rpm don't install all of there
files.
Installing ispell-german via "rpm -Uvv" prints:

D: counting packages to install
D: found 1 packages
D: looking for packages to download
D: retrieved 0 packages
D: New Header signature
D: Signature size: 149
D: Signature pad : 3
D: sigsize         : 152
D: Header + Archive: 1164558
D: expected size   : 1164558
D: opening database mode 0x42 in //var/lib/rpm/
D: found 0 source and 1 binary packages
D: installing binary packages
D: getting list of mounted filesystems
D: New Header signature
D: Signature size: 149
D: Signature pad : 3
D: sigsize         : 152
D: Header + Archive: 1164558
D: expected size   : 1164558
D: package: ispell-german-3.1.20-22 files test = 0
D:    file: /usr/doc/ispell-german-3.1.20 action: create
D:    file: /usr/doc/ispell-german-3.1.20/ANNOUNCE action:
create
D:    file: /usr/doc/ispell-german-3.1.20/Changes action:
create
D:    file: /usr/doc/ispell-german-3.1.20/Contributors
action: create
D:    file: /usr/doc/ispell-german-3.1.20/README action:
create
D:    file: /usr/lib/ispell/deutsch.aff action: skipnstate
D:    file: /usr/lib/ispell/deutsch.hash action: skipnstate
D:    file: /usr/lib/ispell/deutschlxg.hash action:
skipnstate
D:    file: /usr/lib/ispell/deutschmed.hash action:
skipnstate
D:    file: /usr/lib/ispell/german.hash action: skipnstate
D: running preinstall script (if any)
ispell-german-3.1.20-22
D: running postinstall scripts (if any)

The files in /usr/lib/ispell are not installed, the ones in
/usr/doc are. Seems to be a bug in the src.rpm spec. Or
maybe a missing dependency which causes one of the install
scripts to fail?

Cheers
  Cord

Comment 1 Preston Brown 1999-11-15 20:07:59 UTC
the files are being skipped because you do not have a german Locale specified.
If you had a german Locale specified, they would be installed.


Note You need to log in before you can comment on or make changes to this bug.